# ssdk-alpha-1-ti
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 0.0.2
- Generator version: 7.11.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import ssdk_alpha_1_ti
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ssdk_alpha_1_ti
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import ssdk_alpha_1_ti
from ssdk_alpha_1_ti.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://wqpuo37v9e.execute-api.us-east-1.amazonaws.com/api
# See configuration.py for a list of all supported configuration parameters.
configuration = ssdk_alpha_1_ti.Configuration(
    host = "https://wqpuo37v9e.execute-api.us-east-1.amazonaws.com/api"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: tenant_authorizer
configuration.api_key['tenant_authorizer'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['tenant_authorizer'] = 'Bearer'


# Enter a context with an instance of the API client
with ssdk_alpha_1_ti.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ssdk_alpha_1_ti.BrandApi(api_client)
    tenant_id = 'tenant_id_example' # str | 
    body = ssdk_alpha_1_ti.BrandCreateSchema() # BrandCreateSchema | Brand creation details (optional)

    try:
        # Create a new brand for a tenant
        api_response = api_instance.create_brand(tenant_id, body=body)
        print("The response of BrandApi->create_brand:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling BrandApi->create_brand: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://wqpuo37v9e.execute-api.us-east-1.amazonaws.com/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BrandApi* | [**create_brand**](docs/BrandApi.md#create_brand) | **POST** /tenant/{tenant_id}/brand | Create a new brand for a tenant
*BrandApi* | [**delete_brand**](docs/BrandApi.md#delete_brand) | **DELETE** /tenant/{tenant_id}/brand/{brand_id} | Delete a brand
*BrandApi* | [**get_brand**](docs/BrandApi.md#get_brand) | **GET** /tenant/{tenant_id}/brand/{brand_id} | Get brand details
*BrandApi* | [**get_brand_compass**](docs/BrandApi.md#get_brand_compass) | **GET** /tenant/{tenant_id}/brand/{brand_id}/compass | Get the latest brand compass
*BrandApi* | [**list_brands**](docs/BrandApi.md#list_brands) | **GET** /tenant/{tenant_id}/brand | List all active brands for a tenant
*BrandApi* | [**trigger_brand_compass**](docs/BrandApi.md#trigger_brand_compass) | **POST** /tenant/{tenant_id}/brand/{brand_id}/compass/trigger | Trigger the generation of a brand compass
*BrandApi* | [**update_brand**](docs/BrandApi.md#update_brand) | **PUT** /tenant/{tenant_id}/brand/{brand_id} | Update brand details
*GenerationApi* | [**create_generation**](docs/GenerationApi.md#create_generation) | **POST** /tenant/{tenant_id}/brand/{brand_id}/worker/{worker_id}/generation | Start a generation process
*GenerationApi* | [**get_generation**](docs/GenerationApi.md#get_generation) | **GET** /tenant/{tenant_id}/brand/{brand_id}/worker/{worker_id}/generation/{generation_id} | Get generation details
*GenerationApi* | [**list_generations**](docs/GenerationApi.md#list_generations) | **GET** /tenant/{tenant_id}/brand/{brand_id}/worker/{worker_id}/generation | List all generations for a brand and worker
*HealthcheckApi* | [**get_healthcheck**](docs/HealthcheckApi.md#get_healthcheck) | **GET** /healthcheck | 
*PromptApi* | [**create_prompt**](docs/PromptApi.md#create_prompt) | **POST** /tenant/{tenant_id}/prompt | Create a new prompt for a tenant
*PromptApi* | [**delete_prompt**](docs/PromptApi.md#delete_prompt) | **DELETE** /tenant/{tenant_id}/prompt/{prompt_id} | Delete a prompt
*PromptApi* | [**get_prompt**](docs/PromptApi.md#get_prompt) | **GET** /tenant/{tenant_id}/prompt/{prompt_id} | Get prompt details
*PromptApi* | [**list_prompts**](docs/PromptApi.md#list_prompts) | **GET** /tenant/{tenant_id}/prompt | List all active prompts for a tenant
*PromptApi* | [**update_prompt**](docs/PromptApi.md#update_prompt) | **PUT** /tenant/{tenant_id}/prompt/{prompt_id} | Update prompt details
*SourceApi* | [**create_source**](docs/SourceApi.md#create_source) | **POST** /tenant/{tenant_id}/brand/{brand_id}/source | Create a new source for a brand
*SourceApi* | [**delete_source**](docs/SourceApi.md#delete_source) | **DELETE** /tenant/{tenant_id}/brand/{brand_id}/source/{source_id} | Delete a source and its associated data
*SourceApi* | [**get_source**](docs/SourceApi.md#get_source) | **GET** /tenant/{tenant_id}/brand/{brand_id}/source/{source_id} | Get source details
*SourceApi* | [**list_sources**](docs/SourceApi.md#list_sources) | **GET** /tenant/{tenant_id}/brand/{brand_id}/source | List sources for a brand
*SourceApi* | [**reprocess_source**](docs/SourceApi.md#reprocess_source) | **POST** /tenant/{tenant_id}/brand/{brand_id}/source/{source_id}/reprocess | Reprocess a source
*SwaggerApi* | [**get_swagger_spec**](docs/SwaggerApi.md#get_swagger_spec) | **GET** /swagger | 
*TenantApi* | [**delete_tenant**](docs/TenantApi.md#delete_tenant) | **DELETE** /tenant/{tenant_id} | Delete a tenant
*TenantApi* | [**get_tenant**](docs/TenantApi.md#get_tenant) | **GET** /tenant/{tenant_id} | Get tenant details
*TenantApi* | [**update_tenant**](docs/TenantApi.md#update_tenant) | **PUT** /tenant/{tenant_id} | Update tenant details
*WorkerApi* | [**create_worker**](docs/WorkerApi.md#create_worker) | **POST** /tenant/{tenant_id}/worker | Create a new worker request
*WorkerApi* | [**delete_worker**](docs/WorkerApi.md#delete_worker) | **DELETE** /tenant/{tenant_id}/worker/{worker_id} | Delete an existing worker
*WorkerApi* | [**get_worker**](docs/WorkerApi.md#get_worker) | **GET** /tenant/{tenant_id}/worker/{worker_id} | Get worker details
*WorkerApi* | [**list_workers**](docs/WorkerApi.md#list_workers) | **GET** /tenant/{tenant_id}/worker | List all workers for a brand
*WorkerApi* | [**update_worker**](docs/WorkerApi.md#update_worker) | **PUT** /tenant/{tenant_id}/worker/{worker_id} | Update an existing worker
*DefaultApi* | [**options_healthcheck**](docs/DefaultApi.md#options_healthcheck) | **OPTIONS** /healthcheck | 


## Documentation For Models

 - [BrandCompassProgressSchema](docs/BrandCompassProgressSchema.md)
 - [BrandCompassResponseSchema](docs/BrandCompassResponseSchema.md)
 - [BrandCreateSchema](docs/BrandCreateSchema.md)
 - [BrandResponseSchema](docs/BrandResponseSchema.md)
 - [BrandUpdateSchema](docs/BrandUpdateSchema.md)
 - [GenerationCreateSchema](docs/GenerationCreateSchema.md)
 - [GenerationResponseSchema](docs/GenerationResponseSchema.md)
 - [PromptCreateSchema](docs/PromptCreateSchema.md)
 - [PromptResponseSchema](docs/PromptResponseSchema.md)
 - [PromptUpdateSchema](docs/PromptUpdateSchema.md)
 - [SourceResponseSchema](docs/SourceResponseSchema.md)
 - [TenantCreateSchema](docs/TenantCreateSchema.md)
 - [TenantResponseSchema](docs/TenantResponseSchema.md)
 - [TenantSettingsSchema](docs/TenantSettingsSchema.md)
 - [TenantUpdateSchema](docs/TenantUpdateSchema.md)
 - [WorkerCreateSchema](docs/WorkerCreateSchema.md)
 - [WorkerResponseSchema](docs/WorkerResponseSchema.md)
 - [WorkerUpdateSchema](docs/WorkerUpdateSchema.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="tenant_authorizer"></a>
### tenant_authorizer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




